package cz.moneta.test.regression.commercial.smallbusiness.digital.jenkinstests.newtobank;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.annotations.JiraTestCase;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;
import org.junit.jupiter.api.Disabled;

//FIXME add credentials
@TestScenario(name = "ExpresBusiness banner must be visible for FOP clients with valid IL")
@Disabled("Obsolete test - old IB")
public class CardUntilScoring {

    private static final String USER_NAME = "304002708";
    private static final String PASSWORD = "jSZKQsaJ";
    private static final String MOBILE_KEY = "12341234";

    @TestCase(name = "Verify FOP client see loan banner on homepage")
    @JiraTestCase(id = "SBD-T53")
    public void tc_fop_client_see_loan_banner(Harness harness) {
        harness.withIB()
                .openLoginPage()
                .then(harness.tasks().ib().loginWithUsernamePasswordAndMobileKey(USER_NAME, PASSWORD, MOBILE_KEY))
                .onWelcomePage()
                .checkUserHasACommercialCreditCardBanner()
                .clickInterestedInCard()
                .typeLoanAmount("63000")
                .continueToSummary();
    }
}
